com.explodingpixels.painter

## Class RectanglePainter

- java.lang.Object
- - com.explodingpixels.painter.RectanglePainter

- All Implemented Interfaces:
    MacWidgetsPainter<Component>

      public class RectanglePainter
      extends Object
      implements MacWidgetsPainter<Component>

  An implemenation of `MacWidgetsPainter` that fills the given width and height of a `Component` with a solid color.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RectanglePainter(Color fillColor)` Creates a `MacWidgetsPainter` that fills a `Component` with the given `Color`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `paint(Graphics2D g, Component object, int width, int height)` Renders to the given `Graphics2D`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RectanglePainter

          public RectanglePainter(Color fillColor)

      Creates a `MacWidgetsPainter` that fills a `Component` with the given `Color`.
      Parameters:
        `fillColor` - the `Color` to fill the `Component` with.

  - ### Method Detail

    - #### paint

          public void paint(Graphics2D g,
                   Component object,
                   int width,
                   int height)

      Description copied from interface: `MacWidgetsPainter`
      Renders to the given `Graphics2D`. The supplied graphics context may be modified - it's state need not be restored upon completion of painting.
      Specified by:
        `paint` in interface `MacWidgetsPainter<Component>`
      Parameters:
        `g` - the graphics context to paint into. It's state need not be restored. Will not be null.
        `object` - the object to be painted.
        `width` - the width within the object to paint.
        `height` - the height within the object to paint.